| Home | Libraries | People | FAQ | More

## Function template partition_point

boost::compute::partition_point — Partition point algorithm.

## Synopsis

    // In header: <boost/compute/algorithm/partition_point.hpp>

    template<typename InputIterator, typename UnaryPredicate>
      InputIterator
      partition_point(InputIterator first, InputIterator last,
                      UnaryPredicate predicate,
                      command_queue & queue = system::default_queue());

## Description

Finds the end of true values in the partitioned range [first, last) Space complexity: \Omega(1)

See Also:

partition() and stable_partition()

Parameters: |
`first` | Iterator pointing to start of range
`last` | Iterator pointing to end of range
`predicate` | Unary predicate to be applied on each element
`queue` | Queue on which to execute
Returns: | Iterator pointing to end of true values